web-dev-qa-db-de.com

konnte alle Abhängigkeiten für die Konfiguration nicht auflösen ": app: debugAPKCopy"

es scheint, dass ich dieses Problem habe, wenn ich versuche, die App auszuführen

 the error

13
Angela Sanchez

Dies kann passieren, wenn bei einem Update ein Fehler auftritt. Um dies zu beheben, öffnen Sie den Android-SDK-Manager und:

  • Deinstallieren Sie das Android-Support-Repository
  • Installieren Sie erneut das Android-Support-Repository
24
reza rahmad

Installieren Sie Android Support Repository im SDK-Manager.

Fügen Sie Abhängigkeiten zur Datei build.gradle hinzu.

compile 'com.Android.support:appcompat-v7:23.1.1'
compile 'com.Android.support:recyclerview-v7:23.1.1'
2
Egor tepikin

Dies funktionierte für mich beim Öffnen von Android Studio zur Auflösung der Abhängigkeiten

allprojects {
   repositories {
       mavenLocal()
       jcenter()
          maven {
           url 'https://maven.google.com'
          }
       maven {
           url "https://jitpack.io"
       }
       maven {
           // All of React Native (JS, Obj-C sources, Android binaries) is installed 
 from npm 
              url "$rootDir/../node_modules/react-native/Android"
          }
      }
  }
1

Ich bin auch auf diesen Fehler gestoßen.

Dieser Fehler wurde durch das Aktualisieren des Android Support Repository verursacht.

Sie können diesen Fehler auch beheben, indem Sie in Ihre build.gradle-Datei gehen und nach Warnungen suchen, die sich auf Abhängigkeiten der Unterstützungsversion beziehen. Suchen Sie dann nach einem Hinweis und nehmen Sie die Änderungen so vor, wie sie vorgeschlagen wurden. In meinem Fall wird dieser Fehler durch Supportabhängigkeiten verursacht: - 

  • "com.google.Android.gms: play-services-maps: 9.0.0" kompilieren

und ich wechselte zu: -

  • "com.google.Android.gms: play-services-maps: 10.0.0" kompilieren
1
Omi

"Build> Clean Project" hat bei mir funktioniert

0

Für mich war es nur ein ausstehendes Update des Google Repository. Mein Android Support Repository wurde bereits aktualisiert, daher aktualisiere ich das Google Repository und es funktioniert für mich

Aktualisieren Sie das Google Repository!

0
Shoaib Mushtaq

Für mich war es nur ein ausstehendes Update des Android Support Repository.

Aktualisieren Sie den Android Support Repository!

0
Bruno Bieri